Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPolyDataConnectivityFilter Class Reference

`#include <vtkPolyDataConnectivityFilter.h>`

Inheritance diagram for vtkPolyDataConnectivityFilter:

[legend]
Collaboration diagram for vtkPolyDataConnectivityFilter:

[legend]
List of all members.

## Detailed Description

extract polygonal data based on geometric connectivity

Date:
  2002/09/03 12:52:23

Revision:
  1.31

vtkPolyDataConnectivityFilter is a filter that extracts cells that share common points and/or satisfy a scalar threshold criterion. (Such a group of cells is called a region.) The filter works in one of six ways: 1) extract the largest connected region in the dataset; 2) extract specified region numbers; 3) extract all regions sharing specified point ids; 4) extract all regions sharing specified cell ids; 5) extract the region closest to the specified point; or 6) extract all regions (used to color regions).

This filter is specialized for polygonal data. This means it runs a bit faster and is easier to construct visualization networks that process polygonal data.

The behavior of vtkPolyDataConnectivityFilter can be modified by turning on the boolean ivar ScalarConnectivity. If this flag is on, the connectivity algorithm is modified so that cells are considered connected only if 1) they are geometrically connected (share a point) and 2) the scalar values of one of the cell's points falls in the scalar range specified. This use of ScalarConnectivity is particularly useful for selecting cells for later processing.

See also:
  vtkConnectivityFilter

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (65%)
  - Martin, Ken (17%)
  - Lorensen, Bill (6%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkPolyDataConnectivityFilter.h)`
  - .`cxx` (`/Graphics/vtkPolyDataConnectivityFilter.cxx)`

Tests:
  vtkPolyDataConnectivityFilter (Tests)

Definition at line 78 of file vtkPolyDataConnectivityFilter.h.

## Public Types
typedef vtkPolyDataToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | InitializeSeedList ()
void | AddSeed (int id)
void | DeleteSeed (int id)
void | InitializeSpecifiedRegionList ()
void | AddSpecifiedRegion (int id)
void | DeleteSpecifiedRegion (int id)
int | GetNumberOfExtractedRegions ()
virtual void | SetScalarConnectivity (int)
virtual int | GetScalarConnectivity ()
virtual void | ScalarConnectivityOn ()
virtual void | ScalarConnectivityOff ()
virtual void | SetScalarRange (float data[])
virtual float * | GetScalarRange ()
virtual void | GetScalarRange (float data[2])
virtual void | SetExtractionMode (int)
virtual int | GetExtractionMode ()
void | SetExtractionModeToPointSeededRegions ()
void | SetExtractionModeToCellSeededRegions ()
void | SetExtractionModeToLargestRegion ()
void | SetExtractionModeToSpecifiedRegions ()
void | SetExtractionModeToClosestPointRegion ()
void | SetExtractionModeToAllRegions ()
const char * | GetExtractionModeAsString ()
virtual void | SetClosestPoint (float, float, float)
virtual void | SetClosestPoint (float[3])
virtual float * | GetClosestPoint ()
virtual void | GetClosestPoint (float data[3])
virtual void | SetColorRegions (int)
virtual int | GetColorRegions ()
virtual void | ColorRegionsOn ()
virtual void | ColorRegionsOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkPolyDataConnectivityFilter * | SafeDownCast (vtkObject *o)
vtkPolyDataConnectivityFilter * | New ()
## Protected Methods
| vtkPolyDataConnectivityFilter ()
| ~vtkPolyDataConnectivityFilter ()
void | Execute ()
void | TraverseAndMark ()
## Protected Attributes
int | ColorRegions
int | ExtractionMode
vtkIdList * | Seeds
vtkIdList * | SpecifiedRegionIds
vtkIdTypeArray * | RegionSizes
float | ClosestPoint [3]
int | ScalarConnectivity
float | ScalarRange [2]

## Member Typedef Documentation

typedef vtkPolyDataToPolyDataFilter vtkPolyDataConnectivityFilter::Superclass

| Reimplemented from vtkPolyDataToPolyDataFilter. Definition at line 81 of file vtkPolyDataConnectivityFilter.h.

## Constructor & Destructor Documentation

vtkPolyDataConnectivityFilter::vtkPolyDataConnectivityFilter | ( |  | ) | `[protected]`

vtkPolyDataConnectivityFilter::~vtkPolyDataConnectivityFilter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkPolyDataConnectivityFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

int vtkPolyDataConnectivityFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual int vtkPolyDataConnectivityFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkPolyDataConnectivityFilter* vtkPolyDataConnectivityFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

void vtkPolyDataConnectivityFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkPolyDataConnectivityFilter* vtkPolyDataConnectivityFilter::New | ( |  | ) | `[static]`

| Construct with default extraction mode to extract largest regions. Reimplemented from vtkObject.

virtual void vtkPolyDataConnectivityFilter::SetScalarConnectivity | ( | int |  | ) | `[virtual]`

| Turn on/off connectivity based on scalar value. If on, cells are connected only if they share points AND one of the cells scalar values falls in the scalar range specified.

virtual int vtkPolyDataConnectivityFilter::GetScalarConnectivity | ( |  | ) | `[virtual]`

| Turn on/off connectivity based on scalar value. If on, cells are connected only if they share points AND one of the cells scalar values falls in the scalar range specified.

virtual void vtkPolyDataConnectivityFilter::ScalarConnectivityOn | ( |  | ) | `[virtual]`

| Turn on/off connectivity based on scalar value. If on, cells are connected only if they share points AND one of the cells scalar values falls in the scalar range specified.

virtual void vtkPolyDataConnectivityFilter::ScalarConnectivityOff | ( |  | ) | `[virtual]`

| Turn on/off connectivity based on scalar value. If on, cells are connected only if they share points AND one of the cells scalar values falls in the scalar range specified.

virtual void vtkPolyDataConnectivityFilter::SetScalarRange | ( | float | data[] | ) | `[virtual]`

| Set the scalar range to use to extract cells based on scalar connectivity.

virtual float* vtkPolyDataConnectivityFilter::GetScalarRange | ( |  | ) | `[virtual]`

| Set the scalar range to use to extract cells based on scalar connectivity.

virtual void vtkPolyDataConnectivityFilter::GetScalarRange | ( | float | data[2] | ) | `[virtual]`

| Set the scalar range to use to extract cells based on scalar connectivity.

virtual void vtkPolyDataConnectivityFilter::SetExtractionMode | ( | int |  | ) | `[virtual]`

| Control the extraction of connected surfaces.

virtual int vtkPolyDataConnectivityFilter::GetExtractionMode | ( |  | ) | `[virtual]`

| Control the extraction of connected surfaces.

void vtkPolyDataConnectivityFilter::SetExtractionModeToPointSeededRegions | ( |  | ) | `[inline]`

| Control the extraction of connected surfaces. Definition at line 109 of file vtkPolyDataConnectivityFilter.h. References VTK_EXTRACT_POINT_SEEDED_REGIONS.

void vtkPolyDataConnectivityFilter::SetExtractionModeToCellSeededRegions | ( |  | ) | `[inline]`

| Control the extraction of connected surfaces. Definition at line 111 of file vtkPolyDataConnectivityFilter.h. References VTK_EXTRACT_CELL_SEEDED_REGIONS.

void vtkPolyDataConnectivityFilter::SetExtractionModeToLargestRegion | ( |  | ) | `[inline]`

| Control the extraction of connected surfaces. Definition at line 113 of file vtkPolyDataConnectivityFilter.h. References VTK_EXTRACT_LARGEST_REGION.

void vtkPolyDataConnectivityFilter::SetExtractionModeToSpecifiedRegions | ( |  | ) | `[inline]`

| Control the extraction of connected surfaces. Definition at line 115 of file vtkPolyDataConnectivityFilter.h. References VTK_EXTRACT_SPECIFIED_REGIONS.

void vtkPolyDataConnectivityFilter::SetExtractionModeToClosestPointRegion | ( |  | ) | `[inline]`

| Control the extraction of connected surfaces. Definition at line 117 of file vtkPolyDataConnectivityFilter.h. References VTK_EXTRACT_CLOSEST_POINT_REGION.

void vtkPolyDataConnectivityFilter::SetExtractionModeToAllRegions | ( |  | ) | `[inline]`

| Control the extraction of connected surfaces. Definition at line 119 of file vtkPolyDataConnectivityFilter.h. References VTK_EXTRACT_ALL_REGIONS.

const char * vtkPolyDataConnectivityFilter::GetExtractionModeAsString | ( | void |  | ) | `[inline]`

| Return the method of extraction as a string. Definition at line 201 of file vtkPolyDataConnectivityFilter.h. References ExtractionMode, VTK_EXTRACT_ALL_REGIONS, VTK_EXTRACT_CELL_SEEDED_REGIONS, VTK_EXTRACT_CLOSEST_POINT_REGION, VTK_EXTRACT_POINT_SEEDED_REGIONS, and VTK_EXTRACT_SPECIFIED_REGIONS.

void vtkPolyDataConnectivityFilter::InitializeSeedList | ( |  | ) |

| Initialize list of point ids/cell ids used to seed regions.

void vtkPolyDataConnectivityFilter::AddSeed | ( | int | id | ) |

| Add a seed id (point or cell id). Note: ids are 0-offset.

void vtkPolyDataConnectivityFilter::DeleteSeed | ( | int | id | ) |

| Delete a seed id (point or cell id). Note: ids are 0-offset.

void vtkPolyDataConnectivityFilter::InitializeSpecifiedRegionList | ( |  | ) |

| Initialize list of region ids to extract.

void vtkPolyDataConnectivityFilter::AddSpecifiedRegion | ( | int | id | ) |

| Add a region id to extract. Note: ids are 0-offset.

void vtkPolyDataConnectivityFilter::DeleteSpecifiedRegion | ( | int | id | ) |

| Delete a region id to extract. Note: ids are 0-offset.

virtual void vtkPolyDataConnectivityFilter::SetClosestPoint | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Use to specify x-y-z point coordinates when extracting the region closest to a specified point.

virtual void vtkPolyDataConnectivityFilter::SetClosestPoint | ( | float | [3] | ) | `[virtual]`

| Use to specify x-y-z point coordinates when extracting the region closest to a specified point.

virtual float* vtkPolyDataConnectivityFilter::GetClosestPoint | ( |  | ) | `[virtual]`

| Use to specify x-y-z point coordinates when extracting the region closest to a specified point.

virtual void vtkPolyDataConnectivityFilter::GetClosestPoint | ( | float | data[3] | ) | `[virtual]`

| Use to specify x-y-z point coordinates when extracting the region closest to a specified point.

int vtkPolyDataConnectivityFilter::GetNumberOfExtractedRegions | ( |  | ) |

| Obtain the number of connected regions.

virtual void vtkPolyDataConnectivityFilter::SetColorRegions | ( | int |  | ) | `[virtual]`

| Turn on/off the coloring of connected regions.

virtual int vtkPolyDataConnectivityFilter::GetColorRegions | ( |  | ) | `[virtual]`

| Turn on/off the coloring of connected regions.

virtual void vtkPolyDataConnectivityFilter::ColorRegionsOn | ( |  | ) | `[virtual]`

| Turn on/off the coloring of connected regions.

virtual void vtkPolyDataConnectivityFilter::ColorRegionsOff | ( |  | ) | `[virtual]`

| Turn on/off the coloring of connected regions.

void vtkPolyDataConnectivityFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkPolyDataConnectivityFilter::TraverseAndMark | ( |  | ) | `[protected]`

## Member Data Documentation

int vtkPolyDataConnectivityFilter::ColorRegions`[protected]`

| Definition at line 166 of file vtkPolyDataConnectivityFilter.h.

int vtkPolyDataConnectivityFilter::ExtractionMode`[protected]`

| Definition at line 167 of file vtkPolyDataConnectivityFilter.h. Referenced by GetExtractionModeAsString().

vtkIdList* vtkPolyDataConnectivityFilter::Seeds`[protected]`

| Definition at line 168 of file vtkPolyDataConnectivityFilter.h.

vtkIdList* vtkPolyDataConnectivityFilter::SpecifiedRegionIds`[protected]`

| Definition at line 169 of file vtkPolyDataConnectivityFilter.h.

vtkIdTypeArray* vtkPolyDataConnectivityFilter::RegionSizes`[protected]`

| Definition at line 170 of file vtkPolyDataConnectivityFilter.h.

float vtkPolyDataConnectivityFilter::ClosestPoint[3]`[protected]`

| Definition at line 172 of file vtkPolyDataConnectivityFilter.h.

int vtkPolyDataConnectivityFilter::ScalarConnectivity`[protected]`

| Definition at line 174 of file vtkPolyDataConnectivityFilter.h.

float vtkPolyDataConnectivityFilter::ScalarRange[2]`[protected]`

| Definition at line 175 of file vtkPolyDataConnectivityFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkPolyDataConnectivityFilter.h